/* class comment */!!

inherit(Object, #CLIHistoryNode, #(commandCount), 2, nil)!!

now(class(CLIHistoryNode))!!

now(CLIHistoryNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  if (commandCount)
    /* set history size */
    CLICodeCompile("setMaxHistorySize(self, ");
    CLICodeCompile(commandCount);
    CLICodeCompile(")");
  else
    /* show history size */
    CLICodeCompile("showMaxHistorySize(self)");
  endif;
  CLICodeCompile(") ");
}!!

Def init(self, count)
{
  commandCount := count;
}!!
